curl --request POST \
--url https://api.hubapi.com/marketing/v3/marketing-events/{objectId}/attendance/{subscriberState}/email-create \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"inputs": [
{
"contactProperties": {},
"email": "<string>",
"interactionDateTime": 123,
"properties": {}
}
]
}
'{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"email": "<string>",
"vid": 123
}
],
"startedAt": "2023-11-07T05:31:56Z",
"status": "CANCELED",
"errors": [
{
"category": "<string>",
"context": {},
"errors": [
{
"message": "<string>",
"code": "<string>",
"context": "{missingScopes=[scope1, scope2]}",
"in": "<string>",
"subCategory": "<string>"
}
],
"links": {},
"message": "<string>",
"status": "<string>",
"id": "<string>",
"subCategory": {}
}
],
"links": {},
"numErrors": 123,
"requestedAt": "2023-11-07T05:31:56Z"
}Eメールアドレスを使用してマーケティングイベントへの複数のHubSpotコンタクトの参加を記録します。
コンタクトが存在しない場合は、自動的に作成されます。contactPropertiesフィールドは、新しいコンタクトの作成専用であり、既存のコンタクトのプロパティーの更新は行いません。
追加機能:
使用できるプロパティ: 状態「参加」の場合:
curl --request POST \
--url https://api.hubapi.com/marketing/v3/marketing-events/{objectId}/attendance/{subscriberState}/email-create \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"inputs": [
{
"contactProperties": {},
"email": "<string>",
"interactionDateTime": 123,
"properties": {}
}
]
}
'{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"email": "<string>",
"vid": 123
}
],
"startedAt": "2023-11-07T05:31:56Z",
"status": "CANCELED",
"errors": [
{
"category": "<string>",
"context": {},
"errors": [
{
"message": "<string>",
"code": "<string>",
"context": "{missingScopes=[scope1, scope2]}",
"in": "<string>",
"subCategory": "<string>"
}
],
"links": {},
"message": "<string>",
"status": "<string>",
"id": "<string>",
"subCategory": {}
}
],
"links": {},
"numErrors": 123,
"requestedAt": "2023-11-07T05:31:56Z"
}サポートされる製品
必須スコープ
The access token received from the authorization server in the OAuth 2.0 flow.
HubSpotのマーケティングイベントの内部ID
参加の状態の値。「登録」、「出席」、「キャンセル」のいずれかです
作成または更新するマーケティングイベントの詳細のリスト
Show child attributes
successful operation
リクエストの処理が完了した時点を表すタイムスタンプ
Show child attributes
リクエストの処理が開始された時点を表すタイムスタンプ
リクエスト処理のステータス
CANCELED, COMPLETE, PENDING, PROCESSING Show child attributes
リクエストの結果
Show child attributes
処理中に発生したエラーの数
リクエストが行われた時点を表すタイムスタンプ